#include<iostream>

using namespace std;

int main() {
	int n, x, lmax, rmax;
	cin>>n>>x;
	int niz[n];
	lmax=x;
	rmax=x;
	for (int i=0; i<n; i++) {
		cin>>niz[i];
		if (niz[i]>x) {
			if (niz[i]>rmax) {
				rmax=niz[i];
			}
		}
		else {
			if (niz[i]<lmax) {
				lmax=niz[i];
			}
		}
	}
	lmax=lmax-x;
	rmax=x-rmax;
	if (lmax<0){ lmax=-lmax;}
	if (rmax<0){ rmax=-rmax;}
	if (rmax>lmax) {
		cout<<2*lmax+rmax;
	}
	else {
		cout<<2*rmax+lmax;
	}
	return 0;
}